RHEL 7 : sudo (RHSA-2020:0540)

high Nessus Plugin ID 133783

Synopsis

The remote Red Hat host is missing a security update.

Description

The remote Redhat Enterprise Linux 7 host has packages installed that are affected by a vulnerability as referenced in the RHSA-2020:0540 advisory.

- sudo: Stack based buffer overflow when pwfeedback is enabled (CVE-2019-18634)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected sudo and / or sudo-devel packages.

See Also

https://cwe.mitre.org/data/definitions/121.html

https://access.redhat.com/security/cve/CVE-2019-18634

https://access.redhat.com/errata/RHSA-2020:0540

https://bugzilla.redhat.com/1796944

Plugin Details

Severity: High

ID: 133783

File Name: redhat-RHSA-2020-0540.nasl

Version: 1.6

Type: local

Agent: unix

Published: 2/19/2020

Updated: 10/13/2021

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

CVSS Score Source: CVE-2019-18634

VPR

Risk Factor: High

Score: 8.4

CVSS v2

Risk Factor: Medium

Base Score: 4.6

Temporal Score: 3.6

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:POC/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 7

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:7, cpe:/o:redhat:rhel_aus:7.7, cpe:/o:redhat:rhel_e4s:7.6, cpe:/o:redhat:rhel_e4s:7.7, cpe:/o:redhat:rhel_eus:7.7, cpe:/o:redhat:rhel_tus:7.7, p-cpe:/a:redhat:enterprise_linux:sudo, p-cpe:/a:redhat:enterprise_linux:sudo-devel

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2/19/2020

Vulnerability Publication Date: 1/23/2020

Reference Information

CVE: CVE-2019-18634

RHSA: 2020:0540

CWE: 121